<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class About_Temple extends CI_Controller {

	public function __construct() {
		parent::__construct();

	}

	public function About_temple()
	{
		$data['page'] = 'ABOUT-TEMPLE';
		$data['title'] = 'ABOUT TEMPLE';
		$this->load->view('about_temple',$data);
	}
	public function About_committee()
	{
		$data['page'] = 'ABOUT-COMMITTEE';
		$data['title'] = 'ABOUT-COMMITTEE';

		$data['committee'] = getCommitteeBOD();
		
		$this->load->view('about_committee',$data);
	}
	public function General_reference()
	{
		$data['page'] = 'GENERAL-REFERENCE';
		$data['title'] = 'ABOUT-REFERENCE';
		$this->load->view('general_reference',$data);
	}


	public function Festivals()
	{
		$data['page'] = 'Festivals';
		$data['title'] = 'Festivals';
		$this->load->view('festivals',$data);
	}

	public function Bhajans()
	{
		$data['page'] = 'Bhajans';
		$data['title'] = 'Bhajans';
		$this->load->view('bhajans',$data);
	}




	public function Temple_history()
	{
		$data['page'] = 'TEMPLE-HISTORY';
		$data['title'] = 'TEMPLE-HISTORY';
		$this->load->view('temple-history',$data);
	}


	public function vidyalaya()
	{
		$data['page'] = 'VIDYALAYA';
		$data['title'] = 'VIDYALAYA';
		$this->load->view('vidyalaya',$data);
	}

	public function privacystatement()
	{
		$data['page'] = 'PRIVACY-STATEMENT';
		$data['title'] = 'PRIVACY-STATEMENT';
		$this->load->view('privacy-statement',$data);
	}

	public function termsconditions()
	{
		$data['page'] = 'TERMS-AND CONDITIONS';
		$data['title'] = 'TERMS-AND CONDITIONS';
		$this->load->view('terms-and-conditions',$data);
	}

	public function Temple_bylaws()
	{
		$data['page'] = 'TEMPLE-BYLAWS';
		$data['title'] = 'TEMPLE-BYLAWS';
		$this->load->view('temple_bylaws',$data);
	}


	public function employmentOpportunities()
	{
		$data['page'] = 'EMPLOYMENT-OPPORTUNITIES';
		$data['title'] = 'EMPLOYMENT-OPPORTUNITIES';
		$this->load->view('employment-opportunities',$data);
	}


	public function About_deity()
	{
		$data['deities_data'] = getWebSyncsData('Diety', 'Diety Directory', '');
		// echo '<pre>';
		// print_r($data['dieties_data']);

		$data['page'] = 'ABOUT-DEITY';
		$data['title'] = 'ABOUT-DEITY';
		$this->load->view('about_deities',$data);
	}

	public function About_priest()
	{
		$data['page'] = 'ABOUT-PRIEST';
		$data['title'] = 'ABOUT-PRIEST';
		$data['priests'] = json_decode(json_encode(getPriest()), true)['data'];
		$this->load->view('about_priest',$data);
	}

}
?>